Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Interface Groupable

    public interface Groupable

This interface is used for some group by columns, or some columns with group level values.

Method Summary
`void` | `getValues(int leafIndex, Record record)` Gets the value by leaf group index.
`void` | `getValuesByRecordNumber(Record record)` Gets the value by record number.
`jet.dataengine.api.group.GroupInfo[]` | `peekGroupInfo(int leafIndex, int depth)`
`int[][]` | `peekGroupLocation(int leafgroupIndex, int groupLevel)`
`java.lang.String[]` | `peekGroupNames(int leafIndex, int depth)`
`DbValue[]` | `peekGroupValues(int leafIndex, int depth)`
`int` | `size()` The number of records in this `Groupable` object.

Method Detail

### getValues

    void getValues(int leafIndex,
                   Record record)

  Gets the value by leaf group index.

  Parameters:
    `leafIndex` - The leaf group index of this record in.
    `record` - The target record.

### getValuesByRecordNumber

    void getValuesByRecordNumber(Record record)

  Gets the value by record number.

  Parameters:
    `record` - The target record.

### size

    int size()

  The number of records in this `Groupable` object.

  Returns:

### peekGroupValues

    DbValue[] peekGroupValues(int leafIndex,
                              int depth)
                              throws jet.dataengine.api.DSException

  Parameters:
    `leafIdx` - Leaf group index.
    `depth` - From the root to the specified group node, and through group level depth.
  Returns:
    It will return a dbvalue array which includes group values from the specified group node to above node, and does not include root.
  Throws:
    `jet.dataengine.api.DSException`
  Since:
    JReport V8.0
  See Also:
    `peekGroupValues(int, int)`

### peekGroupLocation

    int[][] peekGroupLocation(int leafgroupIndex,
                              int groupLevel)
                              throws jet.dataengine.api.DSException

  Parameters:
    `leafgroupIndex` - Leaf group index.
    `groupLevel` - From the root to one group node, and through group level depth.
  Returns:
    dimension 0: the index 0 is branch index for parallel group in HDS, and the default value is -1; the index 1 is groupNumber of all parent and ancestors of the group node marked by group level. Dimension 1: depth from next level of root to the group node marked by group Level.
  Throws:
    `jet.dataengine.api.DSException`
  Since:
    JReport V8.0

### peekGroupNames

    java.lang.String[] peekGroupNames(int leafIndex,
                                      int depth)
                                      throws jet.dataengine.api.DSException

  Parameters:
    `leafIndex` - Leaf group index.
    `depth` - from the root to the specified group node, and through group level depth.
  Returns:
    It will return a string array which includes group names from the specifed group node to above node, and does not include root.
  Throws:
    `jet.dataengine.api.DSException` - TODO
  Since:
    JReport V8.2

### peekGroupInfo

    jet.dataengine.api.group.GroupInfo[] peekGroupInfo(int leafIndex,
                                                       int depth)
                                                       throws jet.dataengine.api.DSException

  Parameters:
    `leafIndex` - Leaf group index.
    `depth` - From root to specified group node, and through group level depth.
  Returns:
    It will return a GroupInfo array which includes group values, qualified name, and mapping name of the group by field from the specified group node to above node, and does not include root.
  Throws:
    `jet.dataengine.api.DSException` - TODO
  Since:
    JReport v10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD